QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    Card.cpp \
    Computer.cpp \
    Game.cpp \
    clabel.cpp \
    config.cpp \
    deck.cpp \
    main.cpp \
    player.cpp \
    stats.cpp \
    tabla.cpp \
    help.cpp \
    talon.cpp \
    CLora.cpp \
    GameVsComputer.cpp \
    GameOnline.cpp

HEADERS += \
    Card.h \
    Computer.h \
    Game.h \
    clabel.h \
    config.h \
    deck.h \
    define.h \
    define.h \
    player.h \
    positions.h \
    stats.h \
    tabla.h \
    help.h \
    talon.h \
    CLora.h \
    GameVsComputer.h \
    GameOnline.h


FORMS += \
    stats.ui \
    tabla.ui \
    help.ui

TRANSLATIONS += \
    Lora_sr_RS.ts

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
